import { NodeInterface, Plugin, RangeInterface, PluginOptions } from '@aomao/engine';
import './index.css';
export interface PaintformatOptions extends PluginOptions {
    removeCommand?: string | ((range: RangeInterface) => void);
    paintBlock?: (currentBlocl: NodeInterface, block: NodeInterface) => boolean | void;
}
export default class<T extends PaintformatOptions = PaintformatOptions> extends Plugin<T> {
    protected activeMarks?: NodeInterface[];
    protected activeBlocks?: NodeInterface[];
    protected type?: string;
    protected event?: (event: KeyboardEvent) => void;
    protected isFormat: boolean;
    static get pluginName(): string;
    init(): void;
    onBeforeCommandExecute: (name: string) => void;
    onContainerMouseUp: (e: MouseEvent) => void;
    removeActiveNodes(node: NodeInterface | Node): void;
    bindEvent(node: NodeInterface): void;
    paintFormat(activeMarks: NodeInterface[], activeBlocks?: NodeInterface[]): void;
    paintMarks(activeMarks: NodeInterface[]): void;
    paintBlocks(currentBlock: NodeInterface, activeBlocks: NodeInterface[]): void;
    execute(type?: string): void;
    queryState(): boolean;
    destroy(): void;
}
